Skip to main content
cURL

Authorizations

Authorization
string
header
required

An API key: Authorization: Bearer alura_sk_....

Path Parameters

id
string
required

The Etsy processing profile ID.

Pattern: ^[0-9]{1,20}$
Example:

"36001"

Query Parameters

fields
string

Comma-separated dotted paths to return; id, object and as_of always come back.

Response

OK

object
string
required
Allowed value: "workspace.processing_profile"
id
string
required

The Etsy processing profile ID (Etsy's readiness state definition, readiness_state_definition_id), as a string.

shop_id
string
required
readiness_state
string
required

ready_to_ship or made_to_order. New values may be added.

min
integer | null
required

The fewest processing units (Etsy's min_processing_time).

max
integer | null
required

The most processing units (Etsy's max_processing_time).

unit
string
required

days or weeks (processing_time_unit).

fetched_at
string
required

When Alura last fetched this kind of setting of the shop completely from Etsy.

as_of
string
required

Equal to fetched_at: the data time of this object.